org.apache.myfaces.trinidad.event

## Class RowDisclosureEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.apache.myfaces.trinidad.event.RowKeySetChangeEvent
      - - org.apache.myfaces.trinidad.event.RowDisclosureEvent

- All Implemented Interfaces:
    Serializable

      public class RowDisclosureEvent
      extends RowKeySetChangeEvent

  Event that is generated when nodes are expanded or collapsed in a tree component.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowDisclosureEvent(RowKeySet oldSet, RowKeySet newSet, javax.faces.component.UIComponent source)` Creates a new ExpansionEvent
    `RowDisclosureEvent(javax.faces.component.UIComponent source, RowKeySet collapsed, RowKeySet expanded)` Creates a new ExpansionEvent

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`

    - ### Methods inherited from class org.apache.myfaces.trinidad.event.RowKeySetChangeEvent

      `getAddedSet, getRemovedSet`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowDisclosureEvent

          public RowDisclosureEvent(javax.faces.component.UIComponent source,
                            RowKeySet collapsed,
                            RowKeySet expanded)

      Creates a new ExpansionEvent
      Parameters:
        `collapsed` - the set of rowKeys that have just been collapsed.
        `expanded` - the set of rowKeys that have just been expanded.

    - #### RowDisclosureEvent

          public RowDisclosureEvent(RowKeySet oldSet,
                            RowKeySet newSet,
                            javax.faces.component.UIComponent source)

      Creates a new ExpansionEvent
      Parameters:
        `oldSet` - the set of rowKeys before any changes.
        `newSet` - the set of rowKeys after any changes.

  - ### Method Detail

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.